﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            GenerateChartData(this.radChart, new List<IEnumerable<ChartObject>>());
        }

        private void GenerateChartData(RadChart chart, List<IEnumerable<ChartObject>> CollectionData1)
        {
            SeriesMappingCollection seriesMappingCollection = new SeriesMappingCollection();

            string[] names = new string[] { "Apple" };

            List<ChartObject> items = new List<ChartObject>()
            {
                new ChartObject("AA1",200),
                new ChartObject("AA2", 300),
                new ChartObject("AA3", 400),
                new ChartObject("Estimate11", 600)
            };

            for (int i = 0; i < 1; i++)
            {
                SeriesMapping seriesMapping = new SeriesMapping();

                seriesMapping.LegendLabel = names[i];

                StackedBar100SeriesDefinition stackedBar100 = new StackedBar100SeriesDefinition();
                stackedBar100.ShowItemLabels = true;
                stackedBar100.ShowItemToolTips = true;
                stackedBar100.StackGroupName = "Sourcing";
                stackedBar100.ItemToolTipFormat = "#STPERCENT{#0.#%}";
                stackedBar100.InteractivitySettings = new InteractivitySettings();
                stackedBar100.InteractivitySettings.SelectionMode = Telerik.Windows.Controls.Charting.ChartSelectionMode.Multiple;
                stackedBar100.InteractivitySettings.SelectionScope = InteractivityScope.Item;
                stackedBar100.InteractivitySettings.HoverScope = InteractivityScope.Item;
                stackedBar100.SeriesName = names[i];
                seriesMapping.SeriesDefinition = stackedBar100;
                seriesMapping.ItemMappings.Add(new ItemMapping("Type", DataPointMember.XCategory));
                seriesMapping.ItemMappings.Add(new ItemMapping("Count", DataPointMember.YValue));
                seriesMapping.ItemMappings.Add(new ItemMapping("CustomLabel", DataPointMember.Label));
                seriesMapping.ItemsSource = items;
                seriesMappingCollection.Add(seriesMapping);
            }

            chart.SeriesMappings = seriesMappingCollection;
        }
    }

    public class ChartObject
    {
        public ChartObject(string type, double count)
        {
            this.Type = type;
            this.Count = count;
        }

        public string Type { get; set; }
        public double Count { get; set; }
        public string Label { get; set; }
    }
}